Bug 838375 - [abrt] python-2.7.3-6.fc17: PyObject_SetAttrString: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: PyObject_SetAttrString: Process /usr/bin/python2....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:2e0203ebcd0551ee3395a8d5a80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 18:29 EDT by scorpio
Modified: 2013-07-31 15:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.70 KB, text/plain)
2012-07-08 18:29 EDT, scorpio
no flags Details
File: build_ids (4.00 KB, text/plain)
2012-07-08 18:29 EDT, scorpio
no flags Details
File: backtrace (33.39 KB, text/plain)
2012-07-08 18:29 EDT, scorpio
no flags Details
File: maps (44.14 KB, text/plain)
2012-07-08 18:29 EDT, scorpio
no flags Details

  None (edit)
Description scorpio 2012-07-08 18:29:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        python /usr/share/docky/helpers/rhythmbox_control.py
crash_function: PyObject_SetAttrString
executable:     /usr/bin/python2.7
kernel:         3.4.4-3.fc17.x86_64
pid:            1581
pwd:            /home/scorpio
time:           dim 08 jui 2012 20:53:16 CEST
uid:            1000
username:       scorpio

backtrace:      Text file, 34193 bytes
build_ids:      Text file, 4100 bytes
dso_list:       Text file, 9934 bytes
maps:           Text file, 45199 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/scorpio/2

core_backtrace:
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x83a8e PyObject_SetAttrString libpython2.7.so.1.0 -
:d091037bf2cb7cfae4e3165963e2f83305d145a0 0xba96 - _dbus_bindings.so -
:d091037bf2cb7cfae4e3165963e2f83305d145a0 0x9aba - _dbus_bindings.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdd0f1 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d8c7 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd9efb PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x54886 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd93f3 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d8c7 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd9efb PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd71d7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf8b5e Py_Finalize libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf7cf8 Py_Exit libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf7e16 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf801e PyErr_PrintEx libpython2.7.so.1.0 -
:fa1fbdc3560ebc4ad9efda55ca123e91b972a5fd 0x2755 _pyglib_handler_marshal libpyglib-2.0-python.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:67512e4faac3e0e6c9864e98f70e4265890806f8 0xa180 - _glib.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdce46 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddc02 PyEval_EvalCode libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf6baa - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf79a2 PyRun_FileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xf83bb PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x109892 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:LC_MONETARY=fr_BE.utf8
:HOSTNAME=fusion
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/scorpio/keyring-Qxm3g3/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:LC_NUMERIC=fr_BE.utf8
:GNOME_KEYRING_CONTROL=/run/user/scorpio/keyring-Qxm3g3
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=scorpio
:DESKTOP_AUTOSTART_ID=107bd30e1d7ac84771134177350761446500000011480002
:SSH_AUTH_SOCK=/run/user/scorpio/keyring-Qxm3g3/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1148,unix/unix:/tmp/.ICE-unix/1148
:USERNAME=
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/scorpio/.local/bin:/home/scorpio/bin
:MAIL=/var/spool/mail/scorpio
:QT_IM_MODULE=xim
:PWD=/home/scorpio
:XMODIFIERS=@im=none
:LANG=fr_FR.utf8
:GNOME_KEYRING_PID=1144
:GDM_LANG=fr_FR.utf8
:LC_MEASUREMENT=fr_BE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/scorpio
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=scorpio
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wp99LHyqds,guid=e719874d959bf521c1b333840000006d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/scorpio
:LC_TIME=fr_BE.utf8
:XAUTHORITY=/var/run/gdm/auth-for-scorpio-gtD87G/database
:_WAPI_PROCESS_HANDLE_OFFSET=5

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31462                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31462                31462                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:pipe:[23708]
:pos:	0
:flags:	01
:2:pipe:[23709]
:pos:	0
:flags:	01
:3:socket:[23078]
:pos:	0
:flags:	02004002
:4:socket:[23073]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:pipe:[23079]
:pos:	0
:flags:	00
:7:pipe:[23079]
:pos:	0
:flags:	04001

var_log_messages:
:Jul  8 20:53:16 fusion kernel: [  198.823146] python[1581]: segfault at 8 ip 00000031cd683a8e sp 00007fffa4393760 error 4 in libpython2.7.so.1.0[31cd600000+16c000]
:Jul  8 20:53:17 fusion abrt[1864]: Saved core dump of pid 1581 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-08-20:53:16-1581 (13963264 bytes)
Comment 1 scorpio 2012-07-08 18:29:28 EDT
Created attachment 596931 [details]
File: dso_list
Comment 2 scorpio 2012-07-08 18:29:29 EDT
Created attachment 596932 [details]
File: build_ids
Comment 3 scorpio 2012-07-08 18:29:32 EDT
Created attachment 596933 [details]
File: backtrace
Comment 4 scorpio 2012-07-08 18:29:34 EDT
Created attachment 596934 [details]
File: maps
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:02:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:02:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:06:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:14:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:14:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:06:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:29:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.